Skip to main content
`Ctrl`+`K`

# ISSort

Sorts the indices of an index set.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISSort(IS is)

Collective

## Input Parameter

- is - the index set

## See Also

`IS`, `ISSortRemoveDups()`, `ISSorted()`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

## Examples

src/ksp/ksp/tutorials/ex76.c
src/dm/impls/plex/tutorials/ex10.c

## Implementations

ISSort_Block() in src/vec/is/is/impls/block/block.c
ISSort_General() in src/vec/is/is/impls/general/general.c
ISSort_Stride() in src/vec/is/is/impls/stride/stride.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages